[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# TCriticalSection

Alias for the PtrUInt type.

## Declaration

Source position: lcltype.pp line 70

`type TCriticalSection = PtrUInt;`

## Description

TCriticalSection is the type used to protect access to resources in a multi-threaded application. Please note that the type is different than the TRTLCriticalSection type and the class by the same name implemented in the syncobjs unit in the FPC RTL (Run-Time Library).